Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.domain.pluginDecorators
Class AbstractAnalysisComponentDecorator<T extends kieker.analysis.model.analysisMetaModel.MIAnalysisComponent>

    java.lang.Object
      kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator<T>

Type Parameters:
  `T` - The type of the decorator. This can be specified by inheriting classes in order to provide a more specific interface to access the class.

All Implemented Interfaces:
  kieker.analysis.model.analysisMetaModel.MIAnalysisComponent, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject

Direct Known Subclasses:
  AbstractPluginDecorator, RepositoryDecorator

    public abstract class AbstractAnalysisComponentDecorator<T extends kieker.analysis.model.analysisMetaModel.MIAnalysisComponent>

extends Object
implements kieker.analysis.model.analysisMetaModel.MIAnalysisComponent

This is the abstract base for all other decorators which decorate the components from the analysis meta model. It adds some properties and methods to an `MIAnalysisComponent` instance. The already existing behavior of the `MIAnalysisComponent` instance is not modified.

Author:
  Nils Christian Ehmke

Field Summary
`protected T` | `analysisComponent` The component wrapped by this decorator.
`protected static kieker.analysis.model.analysisMetaModel.MIAnalysisMetaModelFactory` | `FACTORY` The singleton factory to create components.

Constructor Summary
`AbstractAnalysisComponentDecorator(T analysisComponent, Map<String,String> propertiesDescriptions, String description, String dependency, boolean fullyInitialized)` Constructor to instantiate the fields of this class.

Method Summary
`protected abstract T` | `createComponent()` Inheriting classes should implement this method to deliver the actual copy (without further properties) of the wrapped component.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.common.notify.Adapter>` | `eAdapters()`
`org.eclipse.emf.common.util.TreeIterator<org.eclipse.emf.ecore.EObject>` | `eAllContents()`
`org.eclipse.emf.ecore.EClass` | `eClass()`
`org.eclipse.emf.ecore.EObject` | `eContainer()`
`org.eclipse.emf.ecore.EStructuralFeature` | `eContainingFeature()`
`org.eclipse.emf.ecore.EReference` | `eContainmentFeature()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `eContents()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `eCrossReferences()`
`boolean` | `eDeliver()`
`Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature arg0)`
`Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature arg0, boolean arg1)`
`Object` | `eInvoke(org.eclipse.emf.ecore.EOperation arg0, org.eclipse.emf.common.util.EList<?> arg1)`
`boolean` | `eIsProxy()`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature arg0)`
`void` | `eNotify(org.eclipse.emf.common.notify.Notification arg0)`
`org.eclipse.emf.ecore.resource.Resource` | `eResource()`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature arg0, Object arg1)`
`void` | `eSetDeliver(boolean arg0)`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature arg0)`
`String` | `getClassname()`
`String` | `getDependency()`
`String` | `getDescription()`
`String` | `getId()`
`String` | `getName()`
`org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIProperty>` | `getProperties()`
`String` | `getPropertyDescription(String property)` Delivers the description for the given property.
`boolean` | `isFullyInitialized()`
`T` | `newCopy()` Delivers a new copy of the wrapped component.
`protected void` | `refineComponentCopy(T componentCopy)` Inheriting classes should overwrite this method in order to refine the copy of the wrapped component.
`void` | `setClassname(String value)`
`void` | `setId(String value)`
`void` | `setName(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY

    protected static final kieker.analysis.model.analysisMetaModel.MIAnalysisMetaModelFactory FACTORY

  The singleton factory to create components.

### analysisComponent

    protected final T extends kieker.analysis.model.analysisMetaModel.MIAnalysisComponent analysisComponent

  The component wrapped by this decorator.

Constructor Detail

### AbstractAnalysisComponentDecorator

    public AbstractAnalysisComponentDecorator(T analysisComponent,
                                              Map<String,String> propertiesDescriptions,
                                              String description,
                                              String dependency,
                                              boolean fullyInitialized)

  Constructor to instantiate the fields of this class.

  Parameters:
    `analysisComponent` - The component wrapped by this decorator.
    `propertiesDescriptions` - The descriptions of the properties.
    `description` - The description of the wrapped component.
    `dependency` - The dependency description of the wrapped component.
    `fullyInitialized` - A flag to show whether the component has been fully initialized or not.

Method Detail

### getDescription

    public final String getDescription()

### getDependency

    public final String getDependency()

### isFullyInitialized

    public final boolean isFullyInitialized()

### getPropertyDescription

    public final String getPropertyDescription(String property)

  Delivers the description for the given property.

  Parameters:
    `property` - The property whose description should be delivered.
  Returns:
    The description.

### newCopy

    public final T newCopy()

  Delivers a new copy of the wrapped component.

  Returns:
    A (deep) copy of the wrapped component.

### createComponent

    protected abstract T createComponent()

  Inheriting classes should implement this method to deliver the actual copy (without further properties) of the wrapped component.

  Returns:
    A (non-deep) copy of the wrapped component.

### refineComponentCopy

    protected void refineComponentCopy(T componentCopy)

  Inheriting classes should overwrite this method in order to refine the copy of the wrapped component. The new method should call `super.refineComponentCopy(factory, componentCopy)` though, in order to make sure that the other properties will be copied as well.

  Parameters:
    `componentCopy` - The copy of the wrapped component, which can be refined by inheriting classes.

### eAllContents

    public final org.eclipse.emf.common.util.TreeIterator<org.eclipse.emf.ecore.EObject> eAllContents()

  Specified by:
    `eAllContents` in interface `org.eclipse.emf.ecore.EObject`

### eClass

    public final org.eclipse.emf.ecore.EClass eClass()

  Specified by:
    `eClass` in interface `org.eclipse.emf.ecore.EObject`

### eContainer

    public final org.eclipse.emf.ecore.EObject eContainer()

  Specified by:
    `eContainer` in interface `org.eclipse.emf.ecore.EObject`

### eContainingFeature

    public final org.eclipse.emf.ecore.EStructuralFeature eContainingFeature()

  Specified by:
    `eContainingFeature` in interface `org.eclipse.emf.ecore.EObject`

### eContainmentFeature

    public final org.eclipse.emf.ecore.EReference eContainmentFeature()

  Specified by:
    `eContainmentFeature` in interface `org.eclipse.emf.ecore.EObject`

### eContents

    public final org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> eContents()

  Specified by:
    `eContents` in interface `org.eclipse.emf.ecore.EObject`

### eCrossReferences

    public final org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> eCrossReferences()

  Specified by:
    `eCrossReferences` in interface `org.eclipse.emf.ecore.EObject`

### eGet

    public final Object eGet(org.eclipse.emf.ecore.EStructuralFeature arg0)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`

### eGet

    public final Object eGet(org.eclipse.emf.ecore.EStructuralFeature arg0,
                             boolean arg1)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`

### eInvoke

    public final Object eInvoke(org.eclipse.emf.ecore.EOperation arg0,
                                org.eclipse.emf.common.util.EList<?> arg1)
                         throws InvocationTargetException

  Specified by:
    `eInvoke` in interface `org.eclipse.emf.ecore.EObject`
  Throws:
    `InvocationTargetException`

### eIsProxy

    public final boolean eIsProxy()

  Specified by:
    `eIsProxy` in interface `org.eclipse.emf.ecore.EObject`

### eIsSet

    public final boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature arg0)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`

### eResource

    public final org.eclipse.emf.ecore.resource.Resource eResource()

  Specified by:
    `eResource` in interface `org.eclipse.emf.ecore.EObject`

### eSet

    public final void eSet(org.eclipse.emf.ecore.EStructuralFeature arg0,
                           Object arg1)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`

### eUnset

    public final void eUnset(org.eclipse.emf.ecore.EStructuralFeature arg0)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`

### eAdapters

    public final org.eclipse.emf.common.util.EList<org.eclipse.emf.common.notify.Adapter> eAdapters()

  Specified by:
    `eAdapters` in interface `org.eclipse.emf.common.notify.Notifier`

### eDeliver

    public final boolean eDeliver()

  Specified by:
    `eDeliver` in interface `org.eclipse.emf.common.notify.Notifier`

### eNotify

    public final void eNotify(org.eclipse.emf.common.notify.Notification arg0)

  Specified by:
    `eNotify` in interface `org.eclipse.emf.common.notify.Notifier`

### eSetDeliver

    public final void eSetDeliver(boolean arg0)

  Specified by:
    `eSetDeliver` in interface `org.eclipse.emf.common.notify.Notifier`

### getName

    public final String getName()

  Specified by:
    `getName` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### setName

    public final void setName(String value)

  Specified by:
    `setName` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### getClassname

    public final String getClassname()

  Specified by:
    `getClassname` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### setClassname

    public final void setClassname(String value)

  Specified by:
    `setClassname` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### getProperties

    public final org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIProperty> getProperties()

  Specified by:
    `getProperties` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### getId

    public String getId()

  Specified by:
    `getId` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

### setId

    public void setId(String value)

  Specified by:
    `setId` in interface `kieker.analysis.model.analysisMetaModel.MIAnalysisComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.